/* -*- c++ -*- */
#ifndef AKAXISO_CLASSES_PRECONDITIONS_H__
#define AKAXISO_CLASSES_PRECONDITIONS_H__

#include <akaxiso/classes/types.h>

namespace aka2 {
  class prefix_map;

  class preconditions {
  public:
    /** Must preserve as akaxiso API. */
    prefix_map &get_prefixes() { return *pfs_; }
    const prefix_map &get_prefixes() const { return *pfs_; }

    /** library internal */
    explicit preconditions();
    explicit preconditions(prefix_map &pfs) : pfs_(&pfs) {}
  private:
    prefix_map *pfs_;
  };
}

#endif
